{% extends 'morello.jinja2' %}
{% set connection_list = ['uart0', 'uart1', 'uart2', 'uart3', 'uart4', 'uart5', 'uart6'] %}
{% set connection_commands = {
  'uart0': 'telnet morello-worker01 7140',
  'uart1': 'telnet morello-worker01 7141',
  'uart2': 'telnet morello-worker01 7142',
  'uart3': 'telnet morello-worker01 7143',
  'uart4': 'telnet morello-worker01 7144',
  'uart5': 'telnet morello-worker01 7145',
  'uart6': 'telnet morello-worker01 7146'
} %}
{% set connection_tags = {
  'uart0': ['primary', 'telnet'],
  'uart1': ['telnet'],
  'uart2': ['telnet'],
  'uart3': ['telnet'],
  'uart4': ['telnet'],
  'uart5': ['telnet'],
  'uart6': ['telnet']
} %}

{# Power connected to PDU01, port 20 #}
{# Power control via telnet to MCC, port 7147 #}

{% set power_on_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7147 reboot' %}
{% set power_off_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7147 shutdown' %}
{% set hard_reset_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7147 reboot' %}

{% set device_ip = '10.7.0.112' %}
{% set device_mac = '00:02:f7:00:97:96' %}
{% set usb_device_id = 0 %}
{% set usb_filesystem_label = 'MORELLO06' %}
{% set usb_label = 'usb_storage_device' %}
{% set usb_uuid = '6B3C-6FE0' %}
{% set device_info = [{'board_id': '10.7.0.112:5555'}] %}
{% set sdmux_disk = '/dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000001225-0:0' %}
{% set sdmux_command_dut = 'usbsdmux /dev/usb-sd-mux/id-000000001225 dut' %}
{% set sdmux_command_host = 'usbsdmux /dev/usb-sd-mux/id-000000001225 host' %}
{% set sync_to_lava = {'device_type': 'morello', 'worker': 'morello-worker01.lavalab', 'tags': ['morello06'], 'aliases': []} %}
